Bug 210364 - chinese/ibus-chewing: Update to 1.5.1
Summary: chinese/ibus-chewing: Update to 1.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-06-18 00:10 UTC by Eric Camachat
Modified: 2016-07-12 19:21 UTC (History)
1 user (show)

See Also:


Attachments
v1.5.1 (3.92 KB, patch)
2016-06-18 00:10 UTC, Eric Camachat
eric: maintainer-approval+
Details | Diff
Explicit gettext-tools gettext-runtime usage (4.17 KB, patch)
2016-06-28 18:59 UTC, Eric Camachat
eric: maintainer-approval+
Details | Diff
USE cmake implies build depends on cmake (3.07 KB, patch)
2016-07-01 18:47 UTC, Eric Camachat
eric: maintainer-approval-
eric: maintainer-approval-
Details | Diff
Fix translations (3.99 KB, patch)
2016-07-12 17:02 UTC, Eric Camachat
eric: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Camachat 2016-06-18 00:10:12 UTC
Created attachment 171526 [details]
v1.5.1

Update to version 1.5.1.
Comment 1 VK freebsd_triage 2016-06-18 00:24:30 UTC
Removing maintainer-feedback(+) for correctness, as it was never requested. ;) Maintainer-approval(+) on the patch suffices.
Comment 3 Eric Camachat 2016-06-28 18:59:25 UTC
Created attachment 171918 [details]
Explicit gettext-tools gettext-runtime usage

This should fix msgfmt not found issue during build.
Comment 4 Pawel Pekala freebsd_committer 2016-06-30 14:26:52 UTC
New patch does not fix build issue, same error occurs.
Comment 5 Eric Camachat 2016-07-01 18:47:38 UTC
Created attachment 172020 [details]
USE cmake implies build depends on cmake

I tested on 10.1R, 10.3R and 11-CURRENT all built fine.

10.1R and 10.3R are fresh installed as Hyper-V guests.
11-CURRENT is baremetal.

My test procedure:
# cd /usr
# svnlite co http://svn.freebsd.org/ports/head ports
# cd /usr/ports
# patch -p0 < ~/patch-ibus-chewing.diff
# cd /usr/ports/chinese/ibus-chewing
# find . -name '*.orig' -delete
# pkg install -y `make all-depends-list | cut -d/ -f4-`
# make install clean
Comment 6 Pawel Pekala freebsd_committer 2016-07-01 21:38:07 UTC
Only poudriere can provide testing in clean environment:

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing-poudriere.html
Comment 7 Eric Camachat 2016-07-12 17:02:55 UTC
Created attachment 172417 [details]
Fix translations

This patch had been test my poudriere.
Comment 8 Eric Camachat 2016-07-12 17:04:48 UTC
Comment on attachment 172020 [details]
USE cmake implies build depends on cmake

Didn't pass poudriere test.
Comment 9 commit-hook freebsd_committer 2016-07-12 19:17:40 UTC
A commit references this bug:

Author: pawel
Date: Tue Jul 12 19:17:06 UTC 2016
New revision: 418436
URL: https://svnweb.freebsd.org/changeset/ports/418436

Log:
  Update to version 1.5.1

  PR:		210364
  Submitted by:	Eric Camachat (maintainer)

Changes:
  head/chinese/ibus-chewing/Makefile
  head/chinese/ibus-chewing/distinfo
  head/chinese/ibus-chewing/files/
  head/chinese/ibus-chewing/files/patch-po_CMakeLists.txt
  head/chinese/ibus-chewing/pkg-plist
Comment 10 Pawel Pekala freebsd_committer 2016-07-12 19:21:58 UTC
Committed with minor changes, thanks.

Please use make makepatch to create new patches.
pkg(8) handles removing of directories containing files, see
CHANGES file in ports directory entry 20140922 for details.